gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] branch master updated: -fix systemd integration


From: gnunet
Subject: [taler-merchant] branch master updated: -fix systemd integration
Date: Mon, 20 Jun 2022 17:00:48 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository merchant.

The following commit(s) were added to refs/heads/master by this push:
     new bc003c39 -fix systemd integration
bc003c39 is described below

commit bc003c390f08031ec772ea0d1aaf9861c2ae03ac
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Mon Jun 20 17:00:46 2022 +0200

    -fix systemd integration
---
 debian/control                 |  1 +
 debian/taler-merchant.postinst | 16 ++++++++++++++++
 debian/taler-merchant.prerm    |  3 +++
 3 files changed, 20 insertions(+)

diff --git a/debian/control b/debian/control
index 84aa993b..587403d5 100644
--- a/debian/control
+++ b/debian/control
@@ -44,6 +44,7 @@ Depends:
  adduser,
  lsb-base,
  netbase,
+ sudo,
  apache2 | nginx | httpd,
  postgresql,
  dbconfig-pgsql | dbconfig-no-thanks,
diff --git a/debian/taler-merchant.postinst b/debian/taler-merchant.postinst
index 2f54b038..58c075d9 100644
--- a/debian/taler-merchant.postinst
+++ b/debian/taler-merchant.postinst
@@ -2,6 +2,22 @@
 
 set -e
 
+if [ -d /run/systemd/system ]; then
+        systemctl --system daemon-reload >/dev/null || true
+fi
+if [ "$1" = "remove" ]; then
+        if [ -x "/usr/bin/deb-systemd-helper" ]; then
+                deb-systemd-helper mask 'taler-merchant-httpd.service' 
>/dev/null || true
+        fi
+fi
+
+if [ "$1" = "purge" ]; then
+        if [ -x "/usr/bin/deb-systemd-helper" ]; then
+                deb-systemd-helper purge 'taler-merchant-httpd.service' 
>/dev/null || true
+                deb-systemd-helper unmask 'taler-merchant-httpd.service' 
>/dev/null || true
+        fi
+fi
+
 TALER_HOME="/var/lib/taler"
 _USERNAME=taler-merchant-httpd
 _GROUPNAME=www-data
diff --git a/debian/taler-merchant.prerm b/debian/taler-merchant.prerm
index 84d4c486..eccb8259 100644
--- a/debian/taler-merchant.prerm
+++ b/debian/taler-merchant.prerm
@@ -2,6 +2,9 @@
 
 set -e
 
+if [ -d /run/systemd/system ] && [ "$1" = remove ]; then
+        deb-systemd-invoke stop 'taler-merchant-httpd.service' >/dev/null || 
true
+fi
 
 if [ -f /usr/share/debconf/confmodule ]; then
     . /usr/share/debconf/confmodule

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]